# Online Payment ## Get the Trustap fee for an online transaction - [GET /charge](https://docs.trustap.com/apis/openapi/online-payment/basic.getcharge.md): This returns the Trustap fee, in the currency's smallest unit, for a transaction involving goods with the supplied price. See [the Stripe documentation](https://stripe.com/docs/currencies#zero-decimal) for more details. ## Update the description, currency, price and/or charge of an online transaction - [PATCH /transactions/{transaction_id}](https://docs.trustap.com/apis/openapi/online-payment/updatetransaction.md) ## Enable the seller to accept payment for an online transaction - [POST /transactions/{transaction_id}/accept_payment](https://docs.trustap.com/apis/openapi/online-payment/basic.acceptpayment.md): This endpoint lets the seller accept payment and is accessible only if the seller has granted a feature require_seller_acceptance. Offline access is allowed for this endpoint when the user has granted the basic_tx:offline_accept_payment scope to the client that is performing the request. ## Enable payment acceptance for the seller using Trustap-User for an online transaction - [POST /transactions/{transaction_id}/accept_payment_with_guest_seller](https://docs.trustap.com/apis/openapi/online-payment/basic.acceptpaymentwithguestseller.md): This endpoint allows payment acceptance for the seller specified in the header as Trustap-User. ## Get bank transfer details for an online transaction which payment method is bank_transfer - [GET /transactions/{transaction_id}/bank_transfer_details](https://docs.trustap.com/apis/openapi/online-payment/basic.getbanktransferdetails.md) ## Get the Trustap fee for an online transaction - [GET /transactions/{transaction_id}/charge](https://docs.trustap.com/apis/openapi/online-payment/basic.getchargefortransaction.md): This returns the Trustap fee, in the currency's smallest unit, for a transaction involving goods with the supplied price. See [the Stripe documentation](https://stripe.com/docs/currencies#zero-decimal) for more details. ## Set the payment method to be used for this online transaction - [POST /transactions/{transaction_id}/set_payment_method](https://docs.trustap.com/apis/openapi/online-payment/basic.setpaymentmethodfortransaction.md): Different payment methods incur different rates, so the payment method to be used for a transaction must be set before the payment is made. This requires retrieving the charge associated with the payment method using GET /transactions/{transaction_id}/charge, and passing the generated charge as a parameter to this endpoint.